Loading...
Searching...
No Matches
TrcStackElemExcept Class Reference

`#include <trc_etmv4_stack_elem.h>`

Inheritance diagram for TrcStackElemExcept:
[legend]
Collaboration diagram for TrcStackElemExcept:
[legend]

## Public Member Functions

void | setPrevSame (bool bSame)
const bool | getPrevSame () const
void | setExcepNum (const uint16_t num)
const uint16_t | getExcepNum () const
Public Member Functions inherited from TrcStackElem
| TrcStackElem (const p0_elem_t p0_type, const bool isP0, const ocsd_etmv4_i_pkt_type root_pkt, const ocsd_trc_index_t root_index)
virtual | ~TrcStackElem ()
const p0_elem_t | getP0Type () const
const ocsd_etmv4_i_pkt_type | getRootPkt () const
const ocsd_trc_index_t | getRootIndex () const
const bool | isP0 () const

## Protected Member Functions

| TrcStackElemExcept (const ocsd_etmv4_i_pkt_type root_pkt, const ocsd_trc_index_t root_index)
virtual | ~TrcStackElemExcept ()

## Friends

class | EtmV4P0Stack

## Additional Inherited Members

Protected Attributes inherited from TrcStackElem
bool | m_is_P0

## Detailed Description

Exception element

Definition at line 208 of file trc_etmv4_stack_elem.h.

## Constructor & Destructor Documentation

## TrcStackElemExcept()

TrcStackElemExcept::TrcStackElemExcept | ( | const ocsd_etmv4_i_pkt_type | root_pkt,
|  | const ocsd_trc_index_t | root_index
| ) |  |

inline protected

Definition at line 228 of file trc_etmv4_stack_elem.h.

## ~TrcStackElemExcept()

virtual TrcStackElemExcept::~TrcStackElemExcept | ( |  | ) |

inline protected virtual

Definition at line 212 of file trc_etmv4_stack_elem.h.

## Member Function Documentation

## getExcepNum()

const uint16_t TrcStackElemExcept::getExcepNum | ( |  | ) | const

inline

Definition at line 221 of file trc_etmv4_stack_elem.h.

## getPrevSame()

const bool TrcStackElemExcept::getPrevSame | ( |  | ) | const

inline

Definition at line 218 of file trc_etmv4_stack_elem.h.

## setExcepNum()

void TrcStackElemExcept::setExcepNum | ( | const uint16_t | num | ) |

inline

Definition at line 220 of file trc_etmv4_stack_elem.h.

## setPrevSame()

void TrcStackElemExcept::setPrevSame | ( | bool | bSame | ) |

inline

Definition at line 217 of file trc_etmv4_stack_elem.h.

## Friends And Related Symbol Documentation

## EtmV4P0Stack

friend class EtmV4P0Stack

friend

Definition at line 214 of file trc_etmv4_stack_elem.h.

The documentation for this class was generated from the following file:

- /build/libopencsd-16huoW/libopencsd-1.4.1/decoder/include/opencsd/etmv4/trc_etmv4_stack_elem.h